
@echo off

REM syntax: ./env_setup.bat command [args]

echo -------------------------
echo Environment setup

if "%JAVAHOME%" == "" GOTO SETVALS

GOTO BUILD

:SETVALS

REM !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
REM
REM NOTE:
REM I would recommend only changing the following line.
REM Changing the code in other locations may result in
REM unexpected operation of the application.

set JAVAHOME="C:\j2sdk1.4.2_07"

REM !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

set JARDIR="%JAVAHOME%\lib"
set CLASSPATH=.
set PATH=%JAVAHOME%\bin;%JAVAHOME%\jre\bin;.\bin;%PATH%

:BUILD

echo Path to java: %JAVAHOME%
echo Ensure path is correct
echo Path can be modified in env_setup.bat
echo -------------------------

%*

cd ..

echo.
echo.
echo Done: Press Control+Z, then enter to exit...
copy con cd_create.test
del /q cd_create.test
